<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Drawable (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Drawable (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Drawable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/draw/BitmapImageRenderer.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/draw/Drawable.html" target="_top">Frames</a></li>
        <li><a href="Drawable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.draw</div>
    <h2 title="Interface Drawable" class="title">Interface Drawable</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/draw/DrawAutoShape.html"
                           title="class in org.apache.poi.sl.draw">DrawAutoShape</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawBackground.html"
                            title="class in org.apache.poi.sl.draw">DrawBackground</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawConnectorShape.html"
                            title="class in org.apache.poi.sl.draw">DrawConnectorShape</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawFreeformShape.html"
                            title="class in org.apache.poi.sl.draw">DrawFreeformShape</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawGraphicalFrame.html"
                            title="class in org.apache.poi.sl.draw">DrawGraphicalFrame</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawGroupShape.html"
                            title="class in org.apache.poi.sl.draw">DrawGroupShape</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawMasterSheet.html"
                            title="class in org.apache.poi.sl.draw">DrawMasterSheet</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawNothing.html"
                            title="class in org.apache.poi.sl.draw">DrawNothing</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawPictureShape.html"
                            title="class in org.apache.poi.sl.draw">DrawPictureShape</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawShape.html"
                            title="class in org.apache.poi.sl.draw">DrawShape</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawSheet.html"
                            title="class in org.apache.poi.sl.draw">DrawSheet</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawSimpleShape.html"
                            title="class in org.apache.poi.sl.draw">DrawSimpleShape</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawSlide.html"
                            title="class in org.apache.poi.sl.draw">DrawSlide</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawTableShape.html"
                            title="class in org.apache.poi.sl.draw">DrawTableShape</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawTextBox.html"
                            title="class in org.apache.poi.sl.draw">DrawTextBox</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawTextFragment.html"
                            title="class in org.apache.poi.sl.draw">DrawTextFragment</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html"
                            title="class in org.apache.poi.sl.draw">DrawTextParagraph</a>, <a
                            href="../../../../../org/apache/poi/sl/draw/DrawTextShape.html"
                            title="class in org.apache.poi.sl.draw">DrawTextShape</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">Drawable</span></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Interface and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#CURRENT_SLIDE">CURRENT_SLIDE</a></span></code>
                                    <div class="block">The Common SL Draw API works sometimes cascading, but there are
                                        places
                                        where the current slide context need to be evaluated, e.g.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#DRAW_FACTORY">DRAW_FACTORY</a></span></code>
                                    <div class="block"><a href="../../../../../org/apache/poi/sl/draw/DrawFactory.html"
                                                          title="class in org.apache.poi.sl.draw"><code>DrawFactory</code></a>
                                        which will be used to draw objects into this graphics context
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#FONT_FALLBACK">FONT_FALLBACK</a></span></code>
                                    <div class="block">Key for a font fallback map of type <code>Map&lt;String,String&gt;</code>
                                        which maps
                                        the original font family (key) to the fallback font family (value).
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#FONT_HANDLER">FONT_HANDLER</a></span></code>
                                    <div class="block">Use this object to resolve unknown / missing fonts when rendering
                                        slides.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#FONT_MAP">FONT_MAP</a></span></code>
                                    <div class="block">Key for a font map of type <code>Map&lt;String,String&gt;</code>
                                        which maps
                                        the original font family (key) to the mapped font family (value)
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#GRADIENT_SHAPE">GRADIENT_SHAPE</a></span></code>
                                    <div class="block">PathGradientPaint needs the shape to be set.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#GRESTORE">GRESTORE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#GROUP_TRANSFORM">GROUP_TRANSFORM</a></span></code>
                                    <div class="block">Key will be internally used to store affine transformation
                                        temporarily within group shapes
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#GSAVE">GSAVE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#IMAGE_RENDERER">IMAGE_RENDERER</a></span></code>
                                    <div class="block">Use a custom image renderer of an instance of <a
                                            href="../../../../../org/apache/poi/sl/draw/ImageRenderer.html"
                                            title="interface in org.apache.poi.sl.draw"><code>ImageRenderer</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#PRESET_GEOMETRY_CACHE">PRESET_GEOMETRY_CACHE</a></span></code>
                                    <div class="block">Internal key for caching the preset geometries</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_AS_CHARACTERS">TEXT_AS_CHARACTERS</a></span></code>
                                    <div class="block">draw text via <code>Graphics2D.drawString(java.text.AttributedCharacterIterator,
                                        float, float)</code></div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_AS_SHAPES">TEXT_AS_SHAPES</a></span></code>
                                    <div class="block">draw text via <code>TextLayout.draw(java.awt.Graphics2D, float,
                                        float)</code></div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_RENDERING_MODE">TEXT_RENDERING_MODE</a></span></code>
                                    <div class="block">how to render text:

                                        <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_AS_CHARACTERS"><code>TEXT_AS_CHARACTERS</code></a>
                                        (default) means to draw via
                                        <code>Graphics2D.drawString(java.text.AttributedCharacterIterator, float,
                                            float)</code>.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#applyTransform-java.awt.Graphics2D-">applyTransform</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">Apply 2-D transforms before drawing this shape.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#draw-java.awt.Graphics2D-">draw</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">Draw this shape into the supplied canvas</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.html#drawContent-java.awt.Graphics2D-">drawContent</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">draw any content within this shape (image, text, etc.).</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="DRAW_FACTORY">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DRAW_FACTORY</h4>
                                <pre>static final&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a> DRAW_FACTORY</pre>
                                <div class="block"><a href="../../../../../org/apache/poi/sl/draw/DrawFactory.html"
                                                      title="class in org.apache.poi.sl.draw"><code>DrawFactory</code></a>
                                    which will be used to draw objects into this graphics context
                                </div>
                            </li>
                        </ul>
                        <a name="GROUP_TRANSFORM">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GROUP_TRANSFORM</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
static final&nbsp;<a href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                     title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a> GROUP_TRANSFORM</pre>
                                <div class="block">Key will be internally used to store affine transformation
                                    temporarily within group shapes
                                </div>
                            </li>
                        </ul>
                        <a name="IMAGE_RENDERER">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_RENDERER</h4>
                                <pre>static final&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a> IMAGE_RENDERER</pre>
                                <div class="block">Use a custom image renderer of an instance of <a
                                        href="../../../../../org/apache/poi/sl/draw/ImageRenderer.html"
                                        title="interface in org.apache.poi.sl.draw"><code>ImageRenderer</code></a></div>
                            </li>
                        </ul>
                        <a name="TEXT_RENDERING_MODE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_RENDERING_MODE</h4>
                                <pre>static final&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a> TEXT_RENDERING_MODE</pre>
                                <div class="block">how to render text:

                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_AS_CHARACTERS"><code>TEXT_AS_CHARACTERS</code></a>
                                    (default) means to draw via
                                    <code>Graphics2D.drawString(java.text.AttributedCharacterIterator, float,
                                        float)</code>.
                                    This mode draws text as characters. Use it if the target graphics writes the actual
                                    character codes instead of glyph outlines (PDFGraphics2D, SVGGraphics2D, etc.)

                                    <a href="../../../../../org/apache/poi/sl/draw/Drawable.html#TEXT_AS_SHAPES"><code>TEXT_AS_SHAPES</code></a>
                                    means to render via
                                    <code>TextLayout.draw(java.awt.Graphics2D, float, float)</code>.
                                    This mode draws glyphs as shapes and provides some advanced capabilities such as
                                    justification and font substitution. Use it if the target graphics is an image.
                                </div>
                            </li>
                        </ul>
                        <a name="GRADIENT_SHAPE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GRADIENT_SHAPE</h4>
                                <pre>static final&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a> GRADIENT_SHAPE</pre>
                                <div class="block">PathGradientPaint needs the shape to be set.
                                    It will be achieved through setting it in the rendering hints
                                </div>
                            </li>
                        </ul>
                        <a name="PRESET_GEOMETRY_CACHE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PRESET_GEOMETRY_CACHE</h4>
                                <pre>static final&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a> PRESET_GEOMETRY_CACHE</pre>
                                <div class="block">Internal key for caching the preset geometries</div>
                            </li>
                        </ul>
                        <a name="TEXT_AS_CHARACTERS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_AS_CHARACTERS</h4>
                                <pre>static final&nbsp;int TEXT_AS_CHARACTERS</pre>
                                <div class="block">draw text via <code>Graphics2D.drawString(java.text.AttributedCharacterIterator,
                                    float, float)</code></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.sl.draw.Drawable.TEXT_AS_CHARACTERS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="TEXT_AS_SHAPES">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TEXT_AS_SHAPES</h4>
                                <pre>static final&nbsp;int TEXT_AS_SHAPES</pre>
                                <div class="block">draw text via <code>TextLayout.draw(java.awt.Graphics2D, float,
                                    float)</code></div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.sl.draw.Drawable.TEXT_AS_SHAPES">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="FONT_HANDLER">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FONT_HANDLER</h4>
                                <pre>static final&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a> FONT_HANDLER</pre>
                                <div class="block">Use this object to resolve unknown / missing fonts when rendering
                                    slides.
                                    The font handler must be of type <a
                                            href="../../../../../org/apache/poi/sl/draw/DrawFontManager.html"
                                            title="interface in org.apache.poi.sl.draw"><code>DrawFontManager</code></a>.
                                    <p>

                                        In case a <code>FONT_HANDLER</code> is register, <code>FONT_FALLBACK</code> and
                                        <code>FONT_MAP</code> are ignored</div>
                            </li>
                        </ul>
                        <a name="FONT_FALLBACK">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FONT_FALLBACK</h4>
                                <pre>static final&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a> FONT_FALLBACK</pre>
                                <div class="block">Key for a font fallback map of type
                                    <code>Map&lt;String,String&gt;</code> which maps
                                    the original font family (key) to the fallback font family (value).
                                    In case there is also a <code>FONT_MAP</code> registered, the original font
                                    is first mapped via the font_map and then the fallback font is determined
                                </div>
                            </li>
                        </ul>
                        <a name="FONT_MAP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FONT_MAP</h4>
                                <pre>static final&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a> FONT_MAP</pre>
                                <div class="block">Key for a font map of type <code>Map&lt;String,String&gt;</code>
                                    which maps
                                    the original font family (key) to the mapped font family (value)
                                </div>
                            </li>
                        </ul>
                        <a name="GSAVE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GSAVE</h4>
                                <pre>static final&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a> GSAVE</pre>
                            </li>
                        </ul>
                        <a name="GRESTORE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GRESTORE</h4>
                                <pre>static final&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a> GRESTORE</pre>
                            </li>
                        </ul>
                        <a name="CURRENT_SLIDE">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CURRENT_SLIDE</h4>
                                <pre>static final&nbsp;<a
                                        href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
                                        title="class in org.apache.poi.sl.draw">Drawable.DrawableHint</a> CURRENT_SLIDE</pre>
                                <div class="block">The Common SL Draw API works sometimes cascading, but there are
                                    places
                                    where the current slide context need to be evaluated, e.g. when slide numbers
                                    are printed. In this situation we need to have a way to access the current slide
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="applyTransform-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>applyTransform</h4>
                                <pre>void&nbsp;applyTransform(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block">Apply 2-D transforms before drawing this shape. This includes
                                    rotation and flipping.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - the graphics whos transform matrix will be modified</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="draw-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>draw</h4>
                                <pre>void&nbsp;draw(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block">Draw this shape into the supplied canvas</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - the graphics to draw into</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="drawContent-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>drawContent</h4>
                                <pre>void&nbsp;drawContent(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block">draw any content within this shape (image, text, etc.).</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - the graphics to draw into</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Drawable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/draw/BitmapImageRenderer.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/draw/Drawable.DrawableHint.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/draw/Drawable.html" target="_top">Frames</a></li>
        <li><a href="Drawable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
